petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscDSCopyConstants

Copy all constants to the new problem

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSCopyConstants(PetscDS prob, PetscDS newprob)

Not collective

### Input Parameter

prob -The PetscDS object

### Output Parameter

newprob -The PetscDS copy

### See Also

PetscDSCopyBoundary(), PetscDSCopyEquations(), PetscDSSetResidual(), PetscDSSetJacobian(), PetscDSSetRiemannSolver(), PetscDSSetBdResidual(), PetscDSSetBdJacobian(), PetscDSCreate()

### Level

intermediate

### Location

src/dm/dt/interface/dtds.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages